Autocovariance Least-Squares (ALS) Package

Latest Release

pkg compatible tarball Version Release Date
ALS 5.0.0 05 December 2014
Dependencies:
  • GNU Octave (version 3.0.0 or higher)
  • Sundials toolbox (for LTV-ALS module)
  • Linear ALS module is also compatible with Matlab: tested under version 7.6 (R2008a)
Installation:
  • The available tarball is an octave package that can be installed from octave prompt (Octave v3.0.0 or higher) by running octave in the the same folder as the tarball and using the following command on the octave prompt
pkg install als-v5.tar.gz

Development Sources

The latest development sources of ALS are also available via Bitbucket. There is a web interface to the Mercurial archive available at https://bitbucket.org/rawlings-group/als.

Assuming you have Mercurial installed on your machine, you can check out the latest development version of ALS sources with the following sequence of commands:
hg clone https://bitbucket.org/rawlings-group/als
Once you have the repository checked out, you can resync with the archive by doing
hg pull
hg update

Copyright (C) 2008 Fernando V. Lima. Verbatim copying and distribution is permitted in any medium, provided this notice is preserved.

University of Wisconsin
Department of Chemical Engineering
Madison WI 53719